@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&family=Poppins:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300&family=Redressed&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
}
body {
    background: #000;
    background-repeat: no-repeat;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
    width: 100%;
}
::-webkit-scrollbar {
    width: 10px; /* Adjust the width of the scrollbar track */
  }
  
  /* Define the scrollbar thumb (the draggable part) */
  ::-webkit-scrollbar-thumb {
    background: #fff; /* Set the background color for the thumb */
    border-radius: 0px; /* Round the edges of the thumb */
  }
::-webkit-scrollbar-track {
    background: #000;
  }
  
.container{
    max-width: 1400px;
    margin: 0 auto;
    padding: 20px 30px;
}
a{
    color: #fff;
    text-decoration: none;
}
/* Header */
header{
    position: relative;
}
header img.logo{
    width: 60px;
}
header .container{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.navbar{
    display: flex;
    gap: 20px;
    transition: 300ms;
}
.navbar a{
    font-size: 18px;
    font-weight: 400;
    text-transform: uppercase;
    position: relative;
}
.navbar a::before{
    content: '';
    position: absolute;
    bottom: -2px;
    height: 2px;
    width: 0%;
    background-color: #fff;
    border-radius: 50px;
    transition: width 0.3s ease;
}
.navbar a:hover::before{
    width: 100%;
}

/* main */
main{
    max-width: 100%;
    overflow: hidden;
}
.video-container{
    width: 100%;
    margin-bottom: 40px;
}
.instagram {
    margin: 40px 0;
}
.about{
    background-color: #000;
    padding-top: 30px;
}
.about .container{
    display: flex;
    justify-content: space-around;
    align-items: center;
    gap: 30px;
    font-weight: 200;
}
.abt-head{
    font-size: 40px;
    color: #fff;
}
.abt-para{
    font-size: 20px;
    color: #fff;
    margin-top: 20px;
}
.contact{
    position: relative;
    color: #fff;
    background-color: #000;
    background-image: url(../images/pattern.jpg);
    background-repeat: repeat;
}
.contact::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.8);
    z-index: 1;
    width: 100%;
    height: 100%;
}
.contact .container{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 40px;
}
.contact .map{
    height: 100%;
}
.contact iframe{
    width: 450px;
    height: 100vh;
    position: relative;
    z-index: 2;
}
.contact form{
    width: 40%;
    position: relative;
    z-index: 2;
}
.form-icons{
    margin: 10px 0;
}
.form-icons i{
    font-size: 24px;
    margin-right: 20px;
}
.form-data{
    margin: 40px 0;
    position: relative;
    z-index: 2;
}
.form-data label{
    font-size: 16px;
}
.form-data input, .form-data textarea, .form-data input:valid{
    padding: 10px 5px;
    background: none;
    outline: none;
    color: #fff;
    font-family: inherit;
    border: none;
    border-bottom: 1px solid #fff;
    width: 100%;
    resize: none;
}
.form-data input::placeholder, .form-data textarea::placeholder{
    color: #fff;
}
.form-data input:hover, .form-data textarea:hover{
    border: 1px solid #fff;
}
.form-data input:invalid{
    border: 1px solid red;
}
.form-data .sub-btn, .form-data .sub-btn:valid{
    background: #e8e8e8;
    color: #000;
    font-size: 16px;
    cursor: pointer;
    border: none;
}
.form-data .sub-btn:hover{
    background: rgba(230, 230, 230, 0.4);
    color: #fff;
}.form-data > div{
    margin: 10px 0;
}
/* Footer */
footer{
    background: #000
}
footer .container{
    text-align: center;
    color: #fff;
}
footer .container a.foot-anchor{
    font-size: 22px;
    margin-bottom: 20px;
}
footer .phone, .address, .foot-icons{
    margin: 10px 0;
}
footer .copy{
    margin-top: 30px;
    font-size: 14px;
}
.mobile{
    display: none;
}
.mobile i{
    color: #fff;
    font-size: 30px;
}
.fa-xmark{
    color: #fff;
    font-size: 30px;
    display: none;
    opacity: 0;
}
.abt-head.first{
    display: none;
}
@media screen and (max-width: 840px) {
    .abt-head.first{
        display: block;
        font-size: 28px;
    }
    .mobile{
        display: block;
    }
    .fa-xmark{
        display: block;
        position: absolute;
        top: 20px;
        right: 20px;
        opacity: 1;
    }
    header{
        position: relative;
    }
    header img.logo{
        width: 40px;
    }
    .intagram,.contact{
        position: relative;
        z-index: -2;
    }
    
    .navbar{
        background-color: #000;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        position: fixed;
        top: -100%;
        left: 0;
        width: 100%;
        height: 100%;
        padding: 30px 0;
        z-index: 500;
    }
    .about .container{
        flex-direction: column;
    }
    .details .abt-head{
        display: none;
    }
    .contact .container{
        flex-direction: column-reverse;
    }
    .contact form{
        width: 100%;
    }
    .contact iframe{
        width: 100%;
        height: 400px;
    }
    .about img{
        width: 100%;
    }
}